﻿CREATE TABLE [dbo].[Data.Application.Employer]
(
	[Id]                                         BIGINT          NOT NULL,
	[Name]                                       NVARCHAR (200)  NOT NULL,
	[CommencedOn]                                DATETIME        NULL,
	[FederalEmployerIdentificationNumber]        NVARCHAR (36)   NOT NULL,
	[IsValidFederalEmployerIdentificationNumber] BIT             NOT NULL,
	[StateEmployerIdentificationNumber]          NVARCHAR (11)   NULL,
	[ApprovalStatus]                             INT             NOT NULL,
	[Url]                                        NVARCHAR (1000) NULL,
	[ExpiredOn]                                  DATETIME        NULL,
	[OwnershipTypeId]                            BIGINT          NOT NULL,
	[IndustrialClassification]                   NVARCHAR (200)  NOT NULL,
	[TermsAccepted]                              BIT             NOT NULL,
	[PrimaryPhone]                               NVARCHAR (20)   NOT NULL,
	[PrimaryPhoneExtension]                      NVARCHAR (20)   NULL,
	[PrimaryPhoneType]                           NVARCHAR (20)   NULL,
	[AlternatePhone1]                            NVARCHAR (20)   NULL,
	[AlternatePhone1Type]                        NVARCHAR (20)   NULL,
	[AlternatePhone2]                            NVARCHAR (20)   NULL,
	[AlternatePhone2Type]                        NVARCHAR (20)   NULL,
	[IsRegistrationComplete]                     BIT             NOT NULL,
	[CreatedOn]                                  DATETIME        NOT NULL,
	[UpdatedOn]                                  DATETIME        NOT NULL,
	[AssignedToId]                               BIGINT          NULL,
	[ExternalID]                                 NVARCHAR (50)   NULL,
	[AccountTypeId]                              BIGINT          NULL,
	[NoOfEmployees]                              BIGINT          NULL,
	[Archived]                                   BIT             NOT NULL,
	[LegalName]                                  NVARCHAR (200)  NULL,
	[LockVersion]                                INT             NOT NULL
);

